package com.ym.mec.cms.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_news_information):
 */
public class SysNewsInformation {
	
	/**  */
	private Long id;

	/** 标题 */
	@ApiModelProperty(value = "标题", required = true)
	private String title;

	/** 内容 */
	@ApiModelProperty(value = "内容", required = true)
	private String content;

	/** 封面图片 */
	@ApiModelProperty(value = "封面图片", required = false)
	private String coverImage;

	/** 类型 */
	@ApiModelProperty(value = "类型,1精彩活动，2热门资讯,3banner类型", required = true)
	private Integer type;

	/** 状态（1-可见 0-不可见） */
	@ApiModelProperty(value = "状态（1-可见 0-不可见）", required = true)
	private NewsStatusEnum status;

	@ApiModelProperty(value = "链接地址", required = true)
	private String linkUrl;

	@ApiModelProperty(value = "跳转类型_bank,_slef", required = true)
	private String hrefTarget;

	@ApiModelProperty(value = "顺序号", required = true)
	private Integer order;

	/**  */
	private java.util.Date createTime;

	/**  */
	private java.util.Date updateTime;

	public String getLinkUrl() {
		return linkUrl;
	}

	public void setLinkUrl(String linkUrl) {
		this.linkUrl = linkUrl;
	}

	public String getHrefTarget() {
		return hrefTarget;
	}

	public void setHrefTarget(String hrefTarget) {
		this.hrefTarget = hrefTarget;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTitle() {
		return this.title;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getContent() {
		return this.content;
	}

	public void setCoverImage(String coverImage) {
		this.coverImage = coverImage;
	}

	public String getCoverImage() {
		return this.coverImage;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getType() {
		return this.type;
	}

	public NewsStatusEnum getStatus() {
		return status;
	}

	public void setStatus(NewsStatusEnum status) {
		this.status = status;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	public void setUpdateTime(java.util.Date updateTime) {
		this.updateTime = updateTime;
	}

	public java.util.Date getUpdateTime() {
		return this.updateTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
